import request from '@/utils/request'

// 获取基础数据列表
export function getBasicDataLists(params) {
  return request({
    url: 'api/sysconfig/getlistbypage',
    method: 'get',
    params
  })
}

// 获取基础数据
export function getBasicData(id) {
  return request({
    url: 'api/sysconfig/getdetails',
    method: 'get',
    params: {
      id
    }
  })
}

// 添加基础数据
export function addBasicData(data) {
  return request({
    url: 'api/sysconfig/add',
    method: 'post',
    data
  })
}

// 编辑基础数据
export function editBasicData(data) {
  return request({
    url: 'api/sysconfig/update',
    method: 'post',
    data
  })
}

// 删除基础数据
export function deleteBasicData(ids) {
  return request({
    url: 'api/sysconfig/delete',
    method: 'post',
    data: {
      ids
    }
  })
}

